%define realname MnoGoSearch
%define modname mnogosearch
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 33_%{modname}.ini
%define mod_src %{modname}.c

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	1.96
Release:	%mkrel 6
Group:		Development/PHP
License:	PHP License
URL:		http://www.mnogosearch.org/
Source0:	%{modname}-php-extension-%{version}.tar.bz2
BuildRequires:  php4-devel
BuildRequires:	libmnogosearch-devel >= 3.2.20
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -q -n %{version}

MnoGoSearchVersion=`%{_bindir}/mnogosearch-*-config --version`

# hack :)
perl -p -i -e "s|udm-config|mnogosearch-${MnoGoSearchVersion}-config|g" config.m4

%build

MnoGoSearchVersion=`%{_bindir}/mnogosearch-*-config --version`
export EXTRA_INCLUDES="-I%{_includedir}/mnogosearch-${MnoGoSearchVersion} -I%{_includedir}"

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix} \
    --with-openssl=%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README* index.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-5
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-2mdk
- rebuilt against php-4.4.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-1mdk
- 1.96
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.95-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.95-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.95-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.95-5mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.95-4mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.95-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.95-2mdk
- use a safer way to determin MnoGoSearch Version

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.95-1mdk
- rebuild for php 4.3.10

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.95-1mdk
- 1.95

* Tue Nov 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.92-1mdk
- 1.92 (didn't compile)

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.91-1mdk
- rebuilt for php-4.3.9

* Fri Nov 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.91-1mdk
- 1.91

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.87-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-1mdk
- 1.87
- built for php 4.3.6

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.83-1mdk
- 1.83

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.82-1mdk
- built for php 4.3.4

* Wed Oct 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.82-1mdk
- 1.82
- built against new mnogosearch
- fix invalid-build-requires
- fix explicit-lib-dependency

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.80-1mdk
- 1.80
- built for php 4.3.3
- misc spec file fixes

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.72-1mdk
- built for 4.3.2

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.72-1mdk
- rebuilt against latest buildrequires
- 1.72
- misc spec file fixes
- fix buildrequires, thanks to Stefan van der Eijks robot

* Sat Apr 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-2mdk
- rebuilt against latest buildrequires, but with a twist :)

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-2mdk
- rebuilt against rebuilt buildrequires
- fix requires & buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-1mdk
- built against php-4.3.0
- 1.68
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.65-1mdk
- initial cooker contrib
